Bug 1299519 - docker pull hangs with "Layer already being pulled by another client"
docker pull hangs with "Layer already being pulled by another client"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker (Show other bugs)
7.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Walsh
atomic-bugs@redhat.com
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 10:08 EST by Jake Hunsaker
Modified: 2016-10-18 00:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-03 16:07:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jake Hunsaker 2016-01-18 10:08:49 EST
Description of problem:

A 'docker pull' command will hang intermittently (meaning occasionally when docker pulls are run, not that one docker pull is occasionally hanging) with the following for example:

[root@sd-e6ec-7fc8 ~]# docker pull tomcat:7.0
Trying to pull repository docker.io/library/tomcat ... 7.0: Pulling from library/tomcat
6d1ae97ee388: Verifying Checksum
8b9a99209d5c: Pulling fs layer
2e05a52ffd47: Pulling fs layer
9fdaeae348bb: Pulling fs layer
67d05086af43: Pulling fs layer
2e9d1ec89d66: Pulling fs layer
1afb0d51eee0: Pulling fs layer
5cb24a57fa37: Pulling fs layer
110c2f290b04: Pulling fs layer
966dcd51a14f: Pulling fs layer
8a57ce404f1b: Pulling fs layer
e1b97b980d07: Pulling fs layer
0e74df9853d7: Pulling fs layer
20d94860039d: Verifying Checksum
ad4e266e1bd1: Pulling fs layer
13091c61ed8d: Pulling fs layer
6c6bae9ca483: Pulling fs layer
068fc2e47624: Pulling fs layer
373f6ee029ce: Layer already being pulled by another client. Waiting.


Version-Release number of selected component (if applicable):
 docker-1.8.2-10.el7.x86_64

How reproducible:
Reliably for customer

Steps to Reproduce:
1. Try pulling from either docker.io or registry.access.redhat.com
2.
3.

Actual results:
Intermittently, the pull will hang with the above output

Expected results:
Image should be pulled, or an error should be given.

Additional info:


Restarting the docker daemon sometimes has an effect. The customer reports that after restarting the daemon, they can either pull the image normally or the pull will hang again with the same "already being pulled" message - no indication yet of any reason why this sometimes works and sometimes doesn't.
Comment 12 Daniel Walsh 2016-06-03 16:07:55 EDT
docker-1.9 has been out for a while so I am going to close this as fixed in the current release.

Note You need to log in before you can comment on or make changes to this bug.